# Tài khoản của tôi

## &#x20;Tài khoản của tôi

<mark style="color:blue;">`GET`</mark> `https://abc.hoola.vn/manage/api/users/get-me`

#### Query Parameters

| Name  | Type   | Description                  |
| ----- | ------ | ---------------------------- |
| token | string | Token xác thực của tài khoản |

{% tabs %}
{% tab title="200  Lấy thông tin tài khoản thành công" %}

```javascript
Mã phản hồi respCode "00". Data trả về
{
    "respCode": "00",
    "user": {
        "_id": "XTNx4LhwfGcnkiaDX",
        "createdAt": "2020-11-26T02:21:46.282Z",
        "username": "abc",
        "emails": [
            {
                "address": "abcxyz@gmail.com",
                "verified": false
            }
        ],
        "profile": {
            "name": "ABC",
            "phone": "1234567890",
            "avatar": {
                "imageId": "DxDFjz6PZaT7uXqBe",
                "imageLink": "https://abc.jpeg"
            }
        },
        "forSeller": {
            "callDistrCoeff": 1,
            "getCall": true
        },
        "myCourses": [
            {
                "courseId": "vivPteJNNC2P94Es8",
                "activatedDate": "2021-05-11T03:58:31.730Z",
                "expiredAt": "2121-04-17T03:58:31.730Z",
                "currentLesson": {
                    "chapterId": "PCMgRsrCPK2uuc7Mi",
                    "lessonId": "HAspobkZQGxic8YvJ",
                    "lessonSlug": "live-nen-tang-bigblue",
                    "currentTime": 0
                },
                "lessonStatus": [
                    {
                        "lessonId": "mAdDXGoZqWr566koH",
                        "finish": true
                    },
                    {
                        "lessonId": "cjDJQdvrkBxgimThj",
                        "finish": true
                    },
                    {
                        "lessonId": "b2nDjCD5xiMtwFJhx",
                        "finish": true
                    }
                ]
            },
            {
                "courseId": "2LnbF77cmzF5J8bHE",
                "activatedDate": "2021-05-11T03:46:17.165Z",
                "expiredAt": "2121-04-17T03:46:17.165Z"
            },
            {
                "courseId": "fsmRdcgzWJR9BiWrk",
                "activatedDate": "2021-05-04T05:19:28.199Z",
                "expiredAt": "2121-04-10T05:19:28.257Z",
                "currentLesson": {
                    "chapterId": "nACJMBjWi7YmrTGro",
                    "lessonId": "2682BbT2ub2hkT8ej",
                    "lessonSlug": "ten-bai-moi-blo-blo-blo-blo",
                    "currentTime": 0
                },
                "lessonStatus": [
                    {
                        "lessonId": "zkP9gQGkJ5pnqEQfj",
                        "finish": true
                    },
                    {
                        "lessonId": "2682BbT2ub2hkT8ej",
                        "finish": true
                    }
                ],
                "finish": true
            },
            {
                "courseId": "wSZpqbtWowmpLC68L",
                "activatedDate": "2021-05-12T07:44:56.211Z",
                "expiredAt": "2121-04-18T07:44:56.211Z",
                "currentLesson": {
                    "chapterId": "KsYntZbhTADs9kAb3",
                    "lessonId": "KauZZYMfpn8pGFrF7",
                    "lessonSlug": "hop-bo-chinh-tri",
                    "currentTime": 0
                },
                "lessonStatus": [
                    {
                        "lessonId": "SBuwakdcN9m6hzDE3",
                        "finish": true
                    },
                    {
                        "lessonId": "KauZZYMfpn8pGFrF7",
                        "finish": true
                    }
                ]
            }
        ],
        "myCart": [
            {
                "courseId": "2LnbF77cmzF5J8bHE",
                "status": "DELETED"
            },
            {
                "courseId": "vivPteJNNC2P94Es8",
                "status": "DELETED"
            }
        ],
        "balance": {},
        "myTransactions": [
            "ynfMGBei5cWhr3eMk",
            "KhPCKEc8CfqWAqNCy"
        ]
    },
    "msg": "Success"
}
```

{% endtab %}

{% tab title="401  Xác thực tài khoản của bạn không thành công" %}

```javascript
Mã phản hồi respCode "02". Không có token. Data trả về
{
    "respCode": "02",
    "user": null,
    "msg": "No token"
}


Mã phản hồi respCode "04". Token không có hiệu lực hoặc đã hết hạn. Data trả về
{
    "respCode": "04",
    "user": null,
    "msg": "Invalid token || Token has expired"
}
```

{% endtab %}

{% tab title="405  Phương thức truy vấn không hợp lệ" %}

```javascript
Mã phản hồi respCode "01". Phương thức không hợp. Data trả về 
{
    "respCode": "01",
    "user": null,
    "msg": "Request method should be GET"
}
```

{% endtab %}

{% tab title="500  Lỗi server" %}

```javascript
Mã phản hồi respCode "03". Lỗi thực thi trên server. Không xác thực được tài. Data trả về 
{
    "respCode": "03",
    "user": null,
    "msg": "Server not able to authenticate your account"
}
```

{% endtab %}
{% endtabs %}

Ví dụ lấy thông tin tài khoản của tôi:&#x20;

```
GET:
https://abc.hoola.vn/manage/api/users/get-me?token=6KxGr8LJzlixGIUskGv3VodeFI9u8fWtPs3no3Q3S3h
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hoola.vn/ket-noi-api/my-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
